%define configopt --enable-ssl --enable-inet6 
Name:           ssmtp
Version:        2.64
Release:        lp156.1.1
Summary:        Extremely simple MTA to get mail off the system to a Mailhub
Group:          Applications/Internet
License:        GPL-2.0+
URL:            http://packages.debian.org/stable/mail/ssmtp
Source:         %{name}_%{version}.orig.tar.bz2
Patch0:         openssl_crypto.patch
Patch1:         ssmtp-ds-char.patch
Provides:       %{_sbindir}/sendmail
Provides:       smtp_daemon
Conflicts:      exim sendmail postfix qmail
Requires(post): %{_sbindir}/update-alternatives
Requires(preun):%{_sbindir}/update-alternatives
BuildRequires:  openssl-devel
BuildRoot:      %{_tmppath}/root-%{name}-%{version}

%description
A secure, effective and simple way of getting mail off a system to your mail
hub. It contains no suid-binaries or other dangerous things - no mail spool
to poke around in, and no daemons running in the background. Mail is simply
forwarded to the configured mailhost. Extremely easy configuration.

WARNING: the above is all it does; it does not receive mail, expand aliases
or manage a queue. That belongs on a mail hub with a system administrator.

Authors:
  David Collier-Brown, davecb@hobbes.ss.org, davecb@sni.ca or dave@lethe.uucp
  Christoph Lameter, clameter@debian.org, clameter@waterf.org, clameter@i-m-f.org
  Hugo Haas, hugo@debian.org, hugo@larve.net, hugo@via.ecp.fr
  Matt Ryan, mryan@debian.org, matt.ryan@banana.org.uk

TLS support from Tobias Rundstrom <tobi@tobi.nu>
IPv6 support from Jun-ya Kato <kato@goto.info.waseda.ac.jp>
MD5 authentication support from TAKIZAWA Takashi <aki@luna.email.ne.jp>

Current Maintainer: 
  Anibal Monsalve Salazar <anibal@debian.org>
  Santiago Ruano Rincón <santiago@debian.org>

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%configure %{configopt}
make %{?_smp_mflags}
        
%install
rm -rf %{buildroot}
install -p -D -m 755 %{name} %{buildroot}%{_sbindir}/%{name}
mkdir %{buildroot}%{_bindir}/
install -p -D -m 644 revaliases %{buildroot}%{_sysconfdir}/ssmtp/revaliases
install -p -m 644 ssmtp.conf %{buildroot}%{_sysconfdir}/ssmtp/ssmtp.conf
install -p -D -m 644 ssmtp.8 %{buildroot}%{_mandir}/man8/ssmtp.8
install -p -D -m 644 ssmtp.conf.5 %{buildroot}%{_mandir}/man5/ssmtp.conf.5
ln -s %{_sbindir}/%{name} %{buildroot}%{_sbindir}/sendmail.ssmtp
ln -s %{_sbindir}/%{name} %{buildroot}%{_bindir}/newaliases.ssmtp
ln -s %{_sbindir}/%{name} %{buildroot}%{_bindir}/mailq.ssmtp

%files
%defattr(-,root,root)
%doc README TLS
%dir %{_sysconfdir}/ssmtp/
%config(noreplace) %{_sysconfdir}/ssmtp/*
%{_mandir}/man?/*
%{_bindir}/*
%{_sbindir}/*

%changelog
* Thu Mar 30 2017 jloehel@suse.com
- Added the patch ssmtp-ds-char.patch
- Deleted the patch build-idempotency.patch
